Subject: RE: [AAA-WG]: Abort-Session-Request and User-Name AVP

From: [email-masked]
Date: Thu, 4 Oct 2001 17:05:31 +0300

Hi,

One tool for trouble shooting is taking protocol traces between servers in
the network. Tracer equipments provides filtering capabilities for getting
only the interesting messages (this in an important feature since in live
environments there are lot of messages going). Quite often certain problem
can be reproduced using a known user, therefore it is important that
messages related to this user can be filtered from the wire without using
any information stored to servers in network.

So, in this case it is important that every request contains user name so
that those messages can be intercepted. Note that response can be usually
intercepted without subscriber id since normally there is "transaction id"
which connects request and response together.

One can say that each Diameter application should be specified considering
these types of issues in mind and not the base protocol. However, my
thinking here was that since the User-Name AVP already is in the
Session-Termination-Request/Answer it would be quite natural (for me) that
the Abort-Session-Request also contains it and in addition for the above
mentioned reason. However, this issue is not so straighforward because the
Re-Auth-Request command does not contain the User-Name AVP either. 

After this long talk my question here is that, is there a specific reason
why the User-Name AVP is included into some of the base protocol commands as
a mandatory AVP and some of them don't have it? 

Best Regards, Jaakko

> -----Original Message-----
> From: ext Pat Calhoun [mailto:[email-masked]]
> Sent: 03 October, 2001 19:42
> To: Rajaniemi Jaakko (NET/Espoo)
> Cc: [email-masked]
> Subject: Re: [AAA-WG]: Abort-Session-Request and User-Name AVP
> 
> 
> Not sure why this is the case.
> 
> PatC
> On Wed, Oct 03, 2001 at 05:17:25PM +0300, 
> [email-masked] wrote:
> > Hello,
> > 
> > Currently, the Abort-Session-Request/Answer does not 
> contain the User-Name
> > AVP as a mandatory AVP. However, the 
> Session-Termination-Request/Answer
> > contains the User-Name AVP as a mandatory AVP. Is there any 
> specific reason
> > why these two command codes are defined differently with 
> regards to the
> > User-Name AVP? As these command codes are quite similar, it 
> would be logical
> > if the Abort-Session-Request/Answer also contains the 
> User-Name AVP as a
> > mandatory AVP and it would be useful to have the user name 
> in the messages
> > e.g. for trouble shooting. 
> > 
> > Best Regards, Jaakko 
>

---

From: Pat Calhoun <[email-masked]>
Date: Sun, 7 Oct 2001 14:54:18 -0700

> a mandatory AVP and some of them don't have it? 

because some messages have nothing to do with specific users (e.g. watchdog
messages).

PatC